About
Use this request to create a new online login associated with a specific property. Online logins represent users who can access the Fone Dynamics portal.
Resource URI
POST
/v2/Properties/{PropertySid}/OnlineLogins
Request
URI Parameters
| Parameter | Type | Description |
|---|---|---|
| PropertySid | string | The secure identification of the property to create the online login for. |
Resource Parameters
| Parameter | Type | Description |
|---|---|---|
| Email (Required) | string | The email address for the new online login. This will be used as the username. |
| Password (Required) | string | The password for the new online login. |
| FirstName (Required) | string | The first name of the user. |
| LastName (Required) | string | The last name of the user. |
| Scopes (Required) | string | Comma-separated list of permission scopes for current project. Manage Reporting ManageSms ReportingSms Integrations Billing ProjectManagement UserManagement SipManagement ProvisionSms OutboundCallReporting DisconnectNumbers Admin |
| Enabled (Optional) | boolean | Whether the online login should be enabled immediately. Default is false. |
Example: Creating a new online login.
{
"Email": "[email protected]",
"Password": "SecurePassword123!",
"FirstName": "Jane",
"LastName": "Smith",
"Scopes": "Reporting,Integrations",
"Enabled": true
}
Response
200 – OK
The server will respond with JSON containing the details of the created online login.
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| OnlineLogin | object | The created online login object. See the OnlineLogin Object Parameters for details. |
Example: An example response.
{
"OnlineLogin": {
"OnlineLoginSid": "5b8c8b7f-5c8e-5f0f-9b8f-2345678901cd",
"Email": "[email protected]",
"Created": 1771826857,
"Enabled": true,
"FirstName": "Jane",
"LastName": "Smith",
"Permissions": [
{
"PropertySid": "S1234567890ABCDEF1234567890ABCDE",
"Scopes": "Reporting,Integrations"
}
]
}
}
400 - Error
For error codes and messages, please refer to the REST API Error Codes page.